import React from "react";

const DangerCactusIcon = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 500">
            <defs>
                <linearGradient
                    id="b_danger_cacrus_icon"
                    x1=".345"
                    y1=".834"
                    x2=".888"
                    y2="-.283"
                    gradientUnits="objectBoundingBox"
                >
                    <stop offset="0" stopColor="#c3051e" />
                    <stop offset="1" stopColor="#ed253f" />
                </linearGradient>
                <linearGradient
                    id="c_danger_cacrus_icon"
                    x1=".189"
                    y1=".619"
                    x2="1"
                    y2=".619"
                    gradientUnits="objectBoundingBox"
                >
                    <stop offset="0" stopColor="#ed253f" />
                    <stop offset="1" stopColor="#8d0517" />
                </linearGradient>
                <clipPath id="a_danger_cacrus_icon">
                    <path
                        transform="translate(21602 1187)"
                        fill="none"
                        d="M0 0h500v500H0z"
                    />
                </clipPath>
            </defs>
            <g
                transform="translate(-21602 -1187)"
                clipPath="url(#a_danger_cacrus_icona)"
            >
                <path fill="none" d="M21602 1187h500v500h-500z" />
                <path
                    d="M0 144.993s.973-76.618 2.94-79.309 31.516-9.625 58.1-17.7c26.849-8.159 47.826-14.423 51.05-14.44s10.35 12.077 16.243 22.275c.3.528 4.33 7.211 4.189 7.836s-8.214 10.8-7.884 11.277 13.954-.109 14.315.263 13.119 26.126 13.058 28.336c-.173 6.216-50.549 70.37-53.212 73.024s-39.186 19.9-39.186 19.9-40.9-34.532-41.049-35.367 9.153-20.368 8.443-20.681-21.172 9.053-21.763 9.072S0 144.993 0 144.993z"
                    transform="scale(-1) rotate(-77 -11769.25 13030.435)"
                    fill="url(#b_danger_cacrus_icon)"
                />
                <path
                    d="M170.536 53.909S127.681 27.562 127.189 27.5s-22.3 13.149-22.813 12.812.415-25.48.131-26.031S82.807 1.08 81.543.825c-3.754-.76-21.867-1.395-25.558 0S1.451 32.286.622 35.888s-.829 23.121 0 27.444c.165.86 2.419 10.156 2.866 10.491S24.679 78.96 24.8 79.547 9.869 93.173 9.574 93.7s8.767 28.165 9.525 29.449c1.974 3.344 43.747 43.636 45.94 43.911s31.843-32.937 35.715-35.627c2.037-1.415 21.917-3.022 40.695-4 16.481-.861 32.078-1.113 33.124-2.011 2.207-1.899-4.037-71.513-4.037-71.513z"
                    transform="rotate(87 10406.816 12251.48)"
                    fill="url(#c_danger_cacrus_icon)"
                />
                <path
                    d="M21745.671 1288.209c-.534 1.836 12.8 221.792 13.522 222.725s29.9 9.835 29.965 11.464-27.963 10.716-28.561 12.067 8.417 118.12 9.007 118.969c1.989 2.856 117.852 2.819 122.666 0 2.827-1.655 36.494-83.609 36.287-84.923s-32.885-31.119-32.424-32.031 42.471 5.507 43.365 5.157 13.429-32.78 13.334-33.394c-.322-2.088-24.061-33.011-23.727-34.119s36.414 1.3 37.326 1.176 4.8-11.554 5.419-12.367c5.132-6.723 4.625-13.382 6.34-24.409s-7.046-105.21-11.413-111.8-90.323-79.131-94.225-80.372-29.214 2.567-32.15 2.917-67.641 22.05-67.641 22.05l-1.817.759s-5.025 2.353-5.127 2.821 2.438 18.988 2.125 19.261-18.113-9.519-18.332-9.522-3.236 1.156-3.939 3.571z"
                    fill="#ed253f"
                />
                <g fill="#fff">
                    <path d="M21863.399 1479.88c-.196.791-28.212 15.242-28.76 14.621s7.425-39.31 8.439-39.68 20.517 24.264 20.32 25.06zM21998.227 1336.163c-.854.162-16.846-32.187-16.603-32.865s26.79-3.012 27.246-2.384-9.789 35.087-10.643 35.249zM21924.432 1361.668c-1.269.258-18.327-33.932-17.773-34.77s28.386-3.226 29.238-2.558-10.197 37.07-11.465 37.328zM21843 1325.326c-.73 1.12-40.2-5.999-40.683-6.87s14.562-25.724 15.517-25.825 25.894 31.576 25.165 32.695zM21684.788 1400.176c.149.772-28.832 11.545-29.386 11.164s-.157-22.956.407-23.346 28.83 11.41 28.98 12.182zM21914.33 1432.096c-.763.045-21.394-17.073-21.145-17.743s38.425-4.04 38.888-3.402-16.98 21.1-17.743 21.145zM21806.627 1641.592c-.95.226-19.512-14.797-19.24-15.682s35.198-3.857 35.464-3.103-15.271 18.56-16.224 18.785zM21717.164 1442.212c-.477.088-21.727-18.032-21.61-18.594s39.389-3.994 39.662-3.47-17.576 21.976-18.052 22.064z" />
                </g>
            </g>
        </svg>
    );
};

export default DangerCactusIcon;
